# Interface IGenerateQueryDataResult

interface IGenerateQueryDataResult {
alias: string;
args: string[];
defs: string[];
fields: string[];
index: number;
operation?: "query" | "subscription";
queryName?: string;
resultAlias: string;
resultReturning: string;
resultVariables: any;
returning?: string | IReturningGenerator;
tableName: string;
tableNamePostfix?: string;
variables?: any;
}

#### Hierarchy (view full)

- IGenerateQueryDataOptions
  - IGenerateQueryDataResult

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:80

#####
Index

### Properties

alias
args
defs
fields
index
operation?
queryName?
resultAlias
resultReturning
resultVariables
returning?
tableName
tableNamePostfix?
variables?

##
Properties

### alias

alias: string

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:85

### args

args: string[]

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:84

### defs

defs: string[]

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:83

### fields

fields: string[]

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:82

### index

index: number

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:86

### `Optional` operation

operation?: "query" | "subscription"

Inherited from IGenerateQueryDataOptions.operation

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:66

### `Optional` queryName

queryName?: string

Inherited from IGenerateQueryDataOptions.queryName

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:67

### resultAlias

resultAlias: string

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:87

### resultReturning

resultReturning: string

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:81

### resultVariables

resultVariables: any

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:88

### `Optional` returning

returning?: string | IReturningGenerator

Inherited from IGenerateQueryDataOptions.returning

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:68

### tableName

tableName: string

Inherited from IGenerateQueryDataOptions.tableName

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:65

### `Optional` tableNamePostfix

tableNamePostfix?: string

Inherited from IGenerateQueryDataOptions.tableNamePostfix

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:64

### `Optional` variables

variables?: any

Inherited from IGenerateQueryDataOptions.variables

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:69